Bug 739589 - grilo-plugins should become an optional dep to grilo
Summary: grilo-plugins should become an optional dep to grilo
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: grilo-plugins
Version: 16
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-19 15:07 UTC by abrouwers
Modified: 2013-02-13 11:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 11:40:55 UTC


Attachments (Terms of Use)

Description abrouwers 2011-09-19 15:07:55 UTC
Description of problem:

As it is, grilo-plugins is a hard dependency for grilo.  While I really like grilo and the framework, the plugins drag in quite a few dependencies, especially for specific plugins that the user might not really use.  A good example is tracker, which at least on my machine, consumes a decent amount of CPU.  I understand that tracker can be disabled, but it's not so intuitive.

Unfortunately, the -plugins package seems to be not removable, which doesn't seem right.  Is it possible to make this an optional dependency?  At least to me, having totem installed on the default desktop now requires having something like tracker installed and running, which seems slightly excessive for a video player.

Or, perhaps it's possible to split the grilo-plugins package up a little bit ?  It really makes me (at least personally) debate even installing totem, with the large number of deps that have accumulated.  Adding modularity, I think, would really help improve the situation, especially if the plugins aren't required to run totem (and according to the linking, they are not).

Comment 1 Fedora End Of Life 2013-01-16 11:58:35 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora End Of Life 2013-02-13 11:40:57 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.